import type { OutputFormat, ExpandDirection, LineSide, IncrementCodeInsertDirection } from './code-review-types';
export declare function notEmptyNode(node: HTMLElement): boolean;
export declare function insertIncrementLineToPage(referenceDom: HTMLElement, trNodes: HTMLTableRowElement[], direction: IncrementCodeInsertDirection): void;
export declare function ifRemoveExpandLine(expandDom: HTMLElement, newExpandDom: HTMLTableRowElement, direction: IncrementCodeInsertDirection): boolean;
export declare function updateExpandLineCount(expandDom: HTMLElement, newExpandDom: HTMLElement): void;
export declare function parseDiffCode(container: HTMLElement, code: string, outputFormat: OutputFormat): void;
export declare function setLineNumberInDataset(trNode: HTMLElement, prevL: number, prevR: number, nextL: number, nextR: number): void;
export declare function updateExpandUpDownButton(trNode: HTMLElement): void;
export declare function updateLineNumberInDataset(trNode: HTMLElement, expandAllThreshold: number, position: 'top' | 'bottom' | 'middle', updateExpandButton?: boolean): void;
export declare function getLineNumberFormDataset(expandDom: HTMLElement, expandAllThreshold: number): (number | undefined)[];
export declare function insertNode(parent: HTMLElement, child: HTMLElement): void;
export declare function addExpandButton(parentNode: HTMLElement, className: string, icon: string): void;
export declare function attachToggleButton(dom: HTMLElement, outputFormat: OutputFormat): void;
export declare function attachExpandUpDownButton(parentNode: HTMLElement, direction: ExpandDirection): void;
export declare function addCommentToPage(lineHost: HTMLElement, commentDom: HTMLElement, lineSide: LineSide): void;
